Bug 431354 - "cannot open assembly"
"cannot open assembly"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: boo (Show other bugs)
8
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-03 08:27 EST by Jakub 'Livio' Rusinek
Modified: 2008-04-21 09:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 09:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2008-02-03 08:27:19 EST
Description of problem:
boo, booi and booc are not working.

example try:

 $ booi test.boo 
Cannot open assembly /boo/booi.exe.

 $ booc test.boo test.exe
Cannot open assembly /boo/booc.exe.

 $ booc --help
Cannot open assembly /boo/booc.exe.

Version-Release number of selected component (if applicable):
0.7.6.2237-12.fc7
Shouldn't this be built for F8?

How reproducible:
always

Steps to Reproduce:
1. run any boo command
  
Actual results:
error in terminal

Expected results:
working scary language "boo" (; .

Additional info:
works in other distros. cannot be upstream error.
Comment 1 Jakub 'Livio' Rusinek 2008-02-03 08:35:15 EST
wrappers in /usr/bin contains wrong commandline:

> #!/bin/sh
> env mono ${libdir}/boo/booc.exe "$@"

Someone in SPEC probably did a typo...

--

Fixed for rawhide? Update for F8, please...
Comment 2 Thomas Moschny 2008-03-11 15:12:45 EDT
Ping?

Also, there is a new upstream version 0.8.1.

Seems that the new(?) packager (dnielsen) is not on the cc-list for this bug.
Comment 3 Paul F. Johnson 2008-04-21 09:31:05 EDT
Boo is working fine here (0.8.1.2865) from rawhide.

Note You need to log in before you can comment on or make changes to this bug.